class Bell : public Effect {
  private:
    
    CRGB color_on = CRGB(0xFFFF00);
    CRGB color_off= CRGB(0x000000);
    boolean invert = false;

  public:
    void loop() {
      for(int y=0; y<16; y++) {
        for(int x=0; x<2; x++) {
          for(int z=0; z<8; z++) {
            leds[XYsafe(x*8+z, y)] = sprite_bell[y*2+x]>>(7-z) & 1 ^ invert ? color_on : color_off;
          }
        }
      }

      EVERY_N_MILLISECONDS(300) {
        invert = !invert;
      }
    }

  
};
